Core - Bug # 24469

Status: Closed Priority: Should have
Author: Bjorn Pedersen Category:

Created: 2011-01-04 Assigned To: Jeff Segars
Updated: 2014-05-22 Due date:

TYPO3 Version: 4.5

PHP Version: 52

Complexity:

Is Regression: No

Sprint Focus:

Subject: Adminpanel throws an JS-error : Typo3AdminPanel is not a constructor

Description

The error causes the workspace-splitview to become rather short in height (see http://forge.typo3.org/issues/11539)

(issue imported from #M16909)

Related issues:
related to Core - Bug # 11539: Split view Resolved 2010-12-17

History

#1 - 2011-01-04 18:18 - Jeff Segars

Thanks for the bug report! Are there any specific steps for duplicating this issue? Does the Javascript error occur all the time and in all browsers for

you?

#2 - 2011-01-05 08:33 - Bjorn Pedersen

The problem seems to occur sporadic, but | will investigate it further.

#3 - 2011-01-18 23:57 - Jeff Segars

I've finally found a way to duplicate this...ironically enough, its using the wec_devo extension (from my company).

The extension inserts a ton of JS directly into the page and "</head>" is part of the JS that is inserted. This causes the header insertion in index_ts.php
to fail.

$TSFE->content = str_ireplace('</head>', $BE_USER->adminPanel->getAdminPanelHeaderData() . '</head>', $TSFE->content);

#4 - 2014-01-21 10:03 - Alexander Opitz

- Status changed from Accepted to Needs Feedback

- Target version deleted (0)

- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.1.7)?
http://forge.typo3.org/issues/11539

#5 - 2014-05-22 14:52 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
